{% set O = tabO[0] %}


<form method="post" action="#" id="Form{{ O.id }}">

    <table class="table-selection table-responsive" cellspacing="0">

        <tr>

            <td>
                <a class="btn btn-default btn-xs" href="#" onclick="toggleColumn();">
                    <span id="toggleColumnBtn" class="glyphicon glyphicon-fullscreen"></span>

                </a>

                <input name='toggleGlobal' id="toggleGlobal" type="checkbox" class='toggle' data-size="mini" data-width="150" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Mode correction" data-on="<span class='glyphicon glyphicon-share-alt'></span> Mode M. à jour" data-onstyle="default" data-offstyle="default">

                <input name='toggleMultipleMode' id="toggleMultipleMode" type="checkbox" class='toggle' data-size="mini" data-width="150" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Mode multiple" data-on="<span class='glyphicon glyphicon-share-alt'></span> Mode unique" data-onstyle="default" data-offstyle="default">
            </td>



            <td colspan="{{ (tabO|length) }}" class="text-right">
                <a class="btn btn-default btn-xs" href="#" onclick="sendData('', '{{url('selection-geo')}}', 'objet', event);openClose('rightColumn', '{{ app.session.get('map_width')|default(60) }}%', 'map', '{{ 100-app.session.get('map_width')|default(40)}}%');">
                    <span class="glyphicon glyphicon-remove"></span>
                    Annuler</a>
            </td>
        </tr>
    </table>


    <div class="renseigneFormInside">

        <div class="multiple-selection" style=" max-width: 100vw;">

            <table class="table-hover table-selection table-responsive">

                <tr class="row rowSysma">
                    <th class="stickyColumn" style="z-index:3;">
                        <input id="allParameters" value="1" type="checkbox" onclick="toggleAllSysmaParameters();" checked/>
                    </th>
                    {% for Ob in tabO %}
                        <th onmouseover="showObjectInMap({{ Ob.id}})" onmouseout="hideObjectInMap({{ Ob.id}})" style="min-width:150px;">{{ Ob.sysma_object }}
                            <small>[{{ Ob.id }}]</small>
                        </th>
                    {% endfor %}
                </tr>


                <tr class="row rowSysma requiredParameter">

                    <td class="stickyColumn">

                        <input name="parameterObjectName" class="parameter" value="1" type="checkbox" checked/>
                        Nom de l'objet
                    </td>

                    {% for Ob in tabO %}

                        <td id="renseigneForm{{Ob.id}}ObjectName">
                            <input name="valueO{{Ob.id}}PObjectName" id="valueO{{Ob.id}}PObjectName" class="form-control pObjectName" onchange="multipleModificationInput({{Ob.id}},'ObjectName');" value="{{Ob.sysma_object}}"/>

                        </td>

                    {% endfor %}

                </tr>


                <tr class="row rowSysma requiredParameter">

                    <td class="stickyColumn">

                        <input name="parameterStatus" class="parameter" value="1" type="checkbox" checked/>
                        Statut
                    </td>

                    {% for Ob in tabO %}

                        <td id="renseigneForm{{Ob.id}}Status">
                            <select name="valueO{{Ob.id}}PStatus" id="valueO{{Ob.id}}PStatus" class="form-control pStatus" onchange="multipleModificationSelect({{Ob.id}},'Status');">
                                {% for S in tabStatuts %}
                                    <option value="{{S.status_value}}" {% if Ob.Status.status_value == S.status_value %} selected {% endif %}>
                                        {{S.status}}
                                        -
                                        {{S.description}}</option>
                                {% endfor %}
                            </select>
                        </td>

                    {% endfor %}

                </tr>


                <tr class="row rowSysma requiredParameter">

                    <td class="stickyColumn">

                        <input name="parameterStartDate" class="parameter" value="1" type="checkbox" checked/>
                        Date de création
                    </td>

                    {% for Ob in tabO %}

                        <td id="renseigneFormO{{Ob.id}}PStartDate">
                            <input data-toggle="tooltip" data-placement="bottom" title="" name="valueO{{Ob.id}}PStartDate" id="valueO{{Ob.id}}PStartDate" value="{{Ob.start_date}}" class="form-control pStartDate" onchange="checkDate('valueO{{Ob.id}}PStartDate', 'start_date_CommentO{{Ob.id}}', 'boutonModifierObjet', 'valueO{{Ob.id}}PEndDate');multipleModificationInput({{Ob.id}},'StartDate');"/>
                            <div id="start_date_CommentO{{Ob.id}}"></div>
                        </td>

                    {% endfor %}

                </tr>


                <tr class="row rowSysma requiredParameter">

                    <td class="stickyColumn">

                        <input name="parameterEndDate" class="parameter" value="1" type="checkbox" checked/>
                        Date de fin
                    </td>

                    {% for Ob in tabO %}

                        <td id="renseigneForm{{Ob.id}}PEndDate">
                            <input data-toggle="tooltip" data-placement="bottom" title="" name="valueO{{Ob.id}}PEndDate" id="valueO{{Ob.id}}PEndDate" value="{{Ob.end_date}}" class="form-control pEndDate" onchange="checkDate('valueO{{Ob.id}}PEndDate', 'end_date_CommentO{{Ob.id}}', 'boutonModifierObjet', 'valueO{{Ob.id}}PStartDate');multipleModificationInput({{Ob.id}},'EndDate');"/>
                            <div id="end_date_CommentO{{Ob.id}}"></div>
                        </td>

                    {% endfor %}

                </tr>


                <tr class="row rowSysma requiredParameter">

                    <td class="stickyColumn">

                        <input name="parameterOrganisation" class="parameter" value="1" type="checkbox" checked/>
                        Structure
                    </td>

                    {% for Ob in tabO %}

                        <td id="renseigneForm{{Ob.id}}POrganisation">
                            <select name="valueO{{Ob.id}}POrganisation" id="valueO{{Ob.id}}POrganisation" class="form-control pOrganisation" onchange="multipleModificationSelect({{Ob.id}},'Organisation');">
                                {% for S in taborganisation %}
                                    <option value="{{S.organisation_id}}" {% if Ob.organisation_id == S.organisation_id %} selected {% endif %}>
                                        {{S.organisation|raw}}</option>
                                {% endfor %}
                            </select>
                        </td>

                    {% endfor %}

                </tr>


            </table>

        </div>

    </div>

    <table class="table">

        <tr class="row rowSysma">
            <td>
                <p class='text-right'>
                    <button class="btn btn-primary" id="boutonRenseignerObjet" onclick="sendFormAndRedirect('Form{{ O.id }}', '{{ url('object-modify-commit')}}', 'null', '{{ url('selection-geo')}}', 'objet', event);">Renseigner</button>
                </p>
            </td>

            <input type="hidden" value="{{ sysma_object_ids_list }}" name="sysma_object_ids_list"/>
        </tr>

    </table>


</form>

<script>


    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    $(function () {
        $('.toggle').bootstrapToggle();
    })

    $(function () {
        $('#toggleGlobal').change(function () {

            if ($(this).prop('checked')) {
                console.log('checked');
                $('.toggleVal').bootstrapToggle('on')
            } else {
                console.log('unchecked');
                $('.toggleVal').bootstrapToggle('off')
            }

        })
    })

    $(function () {
        $('#toggleMultipleMode').change(function () {
            toggleMultipleModification()

        })
    })

    var multipleMode = true;
    function toggleMultipleModification() {
        multipleMode = ! multipleMode;
        console.log("multiple mode " + multipleMode);
    }

    function multipleModificationSelect(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName + ' option:selected').val();
            // console.log(value);
            if (! value) {
                $('.p' + param).val('');
            } else {
                $('.p' + param + ' option[value=\'' + value + '\']').attr('selected', 'selected');
            }
        }
    }

    function multipleModificationCheckbox(choice, objet, param) {

        if (multipleMode) {
            let inputName = '#choiceC' + choice + 'O' + objet + 'P' + param;
            let value = $(inputName).is(':checked');
            // console.log(value);
            if (! value) {
                $('.p' + param + 'C' + choice).prop('checked', false)
            } else {
                $('.p' + param + 'C' + choice).prop('checked', true)
            }
        }
    }

    function multipleModificationTextarea(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName).val();
            // console.log(value);
            if (! value) {
                $('.p' + param).text('');
            } else {
                $('.p' + param).text(value);
            }
        }
    }


    function multipleModificationInput(objet, param) {

        if (multipleMode) {
            let inputName = '#valueO' + objet + 'P' + param;
            let value = $(inputName).val();
            // console.log(value);
            if (! value) {
                $('.p' + param).val('');
            } else {
                $('.p' + param).val(value);
            }
        }
    }


    function toggleColumn() {

        if ($('#toggleColumnBtn').hasClass("glyphicon-fullscreen")) {
            $('#toggleColumnBtn').removeClass("glyphicon-fullscreen");
            $('#toggleColumnBtn').addClass("glyphicon-resize-small");
            openClose('rightColumn', '100%', 'map', '0%');
        } else {
            openClose('rightColumn', '{{ app.session.get('map_width')|default(60) }}%', 'map', '{{ 100-app.session.get('map_width')|default(40) }}%');
            $('#toggleColumnBtn').removeClass("glyphicon-resize-small");
            $('#toggleColumnBtn').addClass("glyphicon-fullscreen");
        }

    }


    function toggleAllSysmaParameters() {

        console.log($('#allParameters').is(':checked'));

        if ($('#allParameters').is(':checked')) {
            $('.parameter').prop('checked', true);
        } else {
            $('.parameter').prop('checked', null);
        }

    }(function () {

        $('.multiple-selection').css('max-height', (screen.height - 300) + 'px');

    })();
</script>
